%bcond_without check
%global debug_package %{nil}

%global crate spin_on

Name:           rust-spin_on
Version:        0.1.1
Release:        %mkrel 2
Summary:        Simple, inefficient Future executor
Group:          Development/Rust

# Upstream license specification: Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/spin_on
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Simple, inefficient Future executor.}

%description %{_description}

%package        devel
Summary:        %{summary}
Group:          Development/Rust
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
Group:          Development/Rust
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.1.1-2.mga10
+ Revision: 2217806
- Mageia 10 Mass Rebuild
+ wally <wally>
- update RPM group to Development/Rust

* Sat Feb 11 2023 wally <wally> 0.1.1-1.mga9
+ Revision: 1940388
- imported package rust-spin_on


* Sat Feb 11 2023 Jani Välimaa <wally@mageia.org> - 0.1.1-1
- Initial package
